PYSIDE6-PROJECT(1)

NAME
pyside6-project - project

DESCRIPTION
usage: project.py [-h] [--quiet] [--dry-run] [--force] [--qml-module]

    {new-quick,new-ui,new-widget,build,run,clean,qmllint,deploy,lupdate,migrate-pyproject} ...

pyside6-project is a command line tool for creating, building and deploying Qt for Python applications. It operates on project files which are also used by Qt Creator.

Official documentation: https://doc.qt.io/qtforpython-6/tools/pyside-project.html

  positional arguments:

    {new-quick,new-ui,new-widget,build,run,clean,qmllint,deploy,lupdate,migrate-pyproject}

new-quick
    Create a new Qt Quick project

new-ui
    Create a new Qt Widgets Form project

new-widget
    Create a new Qt Widgets project

build
    Build the project. Compiles resources, UI files, and QML files if existing and necessary.

run Build and run the project.

clean
    Clean build artifacts and generated files from the project directory.

qmllint
    Run the qmllint tool on QML files in the project.

deploy
    Create a deployable package of the application including all dependencies.

lupdate
    Update translation files (.ts) with new strings from source files.

migrate-pyproject
    Migrate a *.pyproject file to pyproject.toml format.

  options:

-h, --help
    show this help message and exit

--quiet, -q
    Quiet

--dry-run, -n
    Only print commands

--force, -f
    Force rebuild

--qml-module, -Q
    Perform check for QML module